Subject: Re: [PATCH 0/3] diff-highlight: add support for git log --graph output.

From: Jakub Narębski <[email-masked]>
Date: Fri, 29 Jul 2016 09:46:37 +0200

W dniu 2016-07-28 o 18:27, Brian Henderson pisze:
> Hi, I've been working with Jeff King on this patch, but he encouraged me to
> email the list.
> 
> I recently learned about the diff-highlight tool and find it very helpful,
> however, I frequently use the --graph option to git log which breaks the tool.
> This patch looks to fix this.
> 
> I wanted to try and add some tests as well, but I was unsure what number to
> pick for the second digit. As there were limited tests in the contrib directory
> (only t93xx and one t7900) I just chose the next number in the 9xxx range.
> Please let me know if I need to change it.
> 
> I'm also not super happy about my test case for the graph option. If anyone has
> any better ideas, please let me know!
> 
> Brian Henderson (3):
>   diff-highlight: add some tests.
>   diff-highlight: add failing test for handling --graph output.
>   diff-highlight: add support for --graph output.

Could you please follow SubmittingPatches, and send patches in separate emails,
inline, with those emails being replies to cover letter (like `git format-patch`
and `git send-email` would do), and not as attachments to cover letter?

With email as it stands it is really difficult to review individual
patches.

> 
>  contrib/diff-highlight/Makefile                  |   5 +
>  contrib/diff-highlight/diff-highlight            |  13 +--
>  contrib/diff-highlight/t/Makefile                |  19 ++++
>  contrib/diff-highlight/t/t9400-diff-highlight.sh |  76 ++++++++++++++++
>  contrib/diff-highlight/t/test-diff-highlight.sh  | 111 +++++++++++++++++++++++
>  5 files changed, 218 insertions(+), 6 deletions(-)
>  create mode 100644 contrib/diff-highlight/Makefile
>  create mode 100644 contrib/diff-highlight/t/Makefile
>  create mode 100644 contrib/diff-highlight/t/t9400-diff-highlight.sh
>  create mode 100644 contrib/diff-highlight/t/test-diff-highlight.sh
>